<?xml version="1.0" encoding="utf-8"?>
<Project>
  <Import Project="Sdk.props" Sdk="Microsoft.NET.Sdk" />
  <Import Project="..\netfx.props" />
  <PropertyGroup>
    <Version>1.0.0</Version>
    <AssemblyName>uMod.Common</AssemblyName>
    <Authors>uMod Project Team and Contributors</Authors>
    <Copyright>(c) 2013-$([System.DateTime]::Now.Year) $(Authors)</Copyright>
    <Description>Common definitions, interfaces, and utilities for the uMod platform</Description>
    <RepositoryUrl>https://gitlab.com/umod/core/common</RepositoryUrl>
    <PackageIconUrl>icon.png</PackageIconUrl>
    <PackageLicenseExpression>MIT</PackageLicenseExpression>
    <PackageProjectUrl>$(RepositoryUrl)</PackageProjectUrl>
    <TargetFrameworks>net35;net40;net45;net46;net48;netstandard2.0;netstandard2.1;net5.0;net6.0</TargetFrameworks>
    <GenerateDocumentationFile>true</GenerateDocumentationFile>
    <Configurations>Debug;Local;Release</Configurations>
    <PackageId Condition="'$(Configuration)' == 'Local'">$(AssemblyName).Local</PackageId>
    <GeneratePackageOnBuild Condition="'$(Configuration)' == 'Local'">true</GeneratePackageOnBuild>
    <NoWarn>CS1572;CS1573;CS1591;NU1605;NU5105</NoWarn>
  </PropertyGroup>
  <Choose>
    <When Condition="'$(Configuration)' == 'Local'">
      <ItemGroup>
        <PackageReference Include="uMod.Promise.Local" Version="*" />
      </ItemGroup>
    </When>
    <Otherwise>
      <ItemGroup>
        <PackageReference Include="uMod.Promise" Version="1.0.147-develop" />
      </ItemGroup>
    </Otherwise>
  </Choose>
  <ItemGroup>
    <PackageReference Include="Microsoft.NETFramework.ReferenceAssemblies.net45" Version="1.0.2" />
    <None Include="..\resources\icon.png" Pack="true" PackagePath="\" />
  </ItemGroup>
  <Import Project="Sdk.targets" Sdk="Microsoft.NET.Sdk" />
  <Target Name="LocalNuGetDeploy" AfterTargets="Pack" Condition="'$(Configuration)' == 'Local'">
    <Exec Condition="Exists('$(NuGetPackageRoot)\$(PackageId)\$(PackageVersion)')" Command="dotnet nuget delete $(PackageId) $(PackageVersion) --source $(NuGetPackageRoot) --non-interactive" />
    <Exec Command="dotnet nuget push $(PackageOutputPath)$(PackageId).$(PackageVersion).nupkg --source $(NuGetPackageRoot)" />
  </Target>
</Project>
